package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HouseImage;


/**
*  service接口类
*/
public interface HouseImageService{

    List<HouseImage> getHouseImageList(HouseImage record);

    List<HouseImage> getHouseImageByPage(Page page, HouseImage record);

    HouseImage getHouseImageById(String id);

    HouseImage getHouseImage(HouseImage record);

    boolean createHouseImage(HouseImage record);

    boolean deleteHouseImage(String id);

    boolean updateHouseImage(HouseImage record);
}

